summaryrefslogtreecommitdiff
path: root/Omni/Ide/hooks/post-checkout
diff options
context:
space:
mode:
Diffstat (limited to 'Omni/Ide/hooks/post-checkout')
-rwxr-xr-xOmni/Ide/hooks/post-checkout20
1 files changed, 20 insertions, 0 deletions
diff --git a/Omni/Ide/hooks/post-checkout b/Omni/Ide/hooks/post-checkout
new file mode 100755
index 0000000..85541a2
--- /dev/null
+++ b/Omni/Ide/hooks/post-checkout
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -e
+function MakeTags {
+ ${CODEROOT:?}/Omni/Ide/MakeTags.py
+}
+old=$1
+new=$2
+# filter out only the changed haskell files
+mapfile -t changed < <(git diff --diff-filter=d --name-only "$old" "$new" -- '*.hs')
+if [[ ! -r tags ]] || [[ ! -r TAGS ]]
+then
+ MakeTags "$CODEROOT"/**/*
+elif [[ ${#changed[@]} -gt 0 ]]
+then
+ MakeTags "${changed[@]}"
+fi
+## START BRANCHLESS CONFIG
+
+git branchless hook post-checkout "$@"
+## END BRANCHLESS CONFIG